import { httpPost } from '../utils/request';

export function getBtnEntities(params) {
  return httpPost('PF/Btn/OrderEntities', params)
}

export function getTableListData(params) {
  return httpPost('PF/PageTable/OrderPaged', params)
}

export function getTableData(params) {
  return httpPost(params.url, params.payload, false)
}

export function getTablePageConfigInfo(params) {
  return httpPost('PF/PageTable/GetTablePageConfigInfo', params)
}

export function getTablePageTables(params) {
  return httpPost('PF/PageTable/GetTablePageTables', params)
}

export function getUserCustomConfigInfo(params) {
  return httpPost('PF/PageTable/GetUserCustomConfigInfo', params)
}

export function saveCustomConfig(params) {
  return httpPost('PF/PageTable/SaveUserCustomConfigInfo', params)
}

export function saveUserCustomConfigInfoForPageSize(params) {
  return httpPost('PF/PageTable/SaveUserCustomConfigInfoForPageSize', params)
}

export function listRowDragChange(params) {
  return httpPost('PF/Form/ChangeNum', params)
}
